package cn.com.countrygarden.bi.main.dao.phoenix;

import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesCustomer;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface PhoenixSalesCustomerMapper extends Mapper<PhoenixSalesCustomer> {

    void truncate();

    void persistence(@Param("items") List<PhoenixSalesCustomer> items, @Param("areaId") String areaId);

    PhoenixSalesCustomer findLastTimestamp(@Param("areaId") String areaId);
}